<h1>
  <a href="https://playtorch.dev/">
    <img src="./website/static/img/PlayTorch_Logo_P.svg" />
  </a>
</h1>

<h3>
  Build your AI powered mobile prototypes in minutes:
  <a href="https://playtorch.dev/docs/next/tutorials/get-started/">Get Started</a>
  <span> · </span>
  <a href="https://playtorch.dev/docs/tutorials/snacks/image-classification/">Tutorials</a>
  <span> · </span>
  <a href="https://playtorch.dev/docs/next/api/core/">API</a>
</h3>

<p>&nbsp;</p>

[![Build Android Template App](https://github.com/facebookresearch/playtorch/actions/workflows/build-template-android.yml/badge.svg)](https://github.com/facebookresearch/playtorch/actions/workflows/build-template-android.yml) [![Build iOS Template App](https://github.com/facebookresearch/playtorch/actions/workflows/build-template-ios.yml/badge.svg)](https://github.com/facebookresearch/playtorch/actions/workflows/build-template-ios.yml)

<p>
  <a href="https://www.npmjs.org/package/react-native-pytorch-core">
    <img src="https://img.shields.io/npm/v/react-native-pytorch-core?label=react-native-pytorch-core" alt="Current React Native PyTorch Core npm package version." />
  </a>
  <a href="https://www.npmjs.org/package/react-native-template-pytorch-live">
    <img src="https://img.shields.io/npm/v/react-native-template-pytorch-live?label=react-native-template-pytorch-live" alt="Current React Native PlayTorch template npm package version." />
  </a>
</p>

<p>
  <a href="https://github.com/pytorch/live/blob/main/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="PlayTorch is released under the MIT license." />
  </a>
</p>

----------------------

[PlayTorch](https://playtorch.dev/) is a set of tools to build AI-powered experiences for mobile.

This monorepo includes the PlayTorch React Native package to run on-device inference with PyTorch Mobile and a React Native template with examples ready to be deployed on mobile devices.

## Contents
- [Requirements](#-requirements)
- [Building your first PlayTorch app](#-building-your-first-playtorch-app)
- [How to Contribute](#-how-to-contribute)
- [Code of Conduct](#code-of-conduct)
- [License](#license)

## 📋 Requirements
PlayTorch apps may target Android 10.0 (API 21) and iOS 12.0 or newer. You may use Windows, macOS, or Linux as your development operating system.

## 🎉 Building your first PlayTorch app
Follow the [Getting Started guide](https://playtorch.dev/docs/tutorials/get-started). We also have a few tutorials for you to keep going after getting started:

* [Image Classification](https://playtorch.dev/docs/tutorials/snacks/image-classification/)
* [Question Answering](https://playtorch.dev/docs/tutorials/snacks/nlp-qa/)
* [Object Detection](https://playtorch.dev/docs/tutorials/snacks/object-detection/)
* [AnimeGAN](https://playtorch.dev/docs/tutorials/snacks/anime-gan/)
* [French Translator](https://playtorch.dev/docs/tutorials/snacks/seq2seq-nmt/)
* [YOLOv5](https://playtorch.dev/docs/tutorials/snacks/yolov5)
* [Prepare Custom Model](https://playtorch.dev/docs/tutorials/prepare-custom-model/)

## 📖 Documentation

The full documentation for PlayTorch can be found on our [website](https://playtorch.dev/).

## 👏 How to Contribute
The main purpose of this repository is to continue evolving PlayTorch. We want to make contributing to this project as easy and transparent as possible, and we are grateful to the community for contributing bug fixes and improvements. Read below to learn how you can take part in improving PlayTorch.

### [Code of Conduct][code]
Facebook has adopted a Code of Conduct that we expect project participants to adhere to.
Please read the [full text][code] so that you can understand what actions will and will not be tolerated.

[code]: https://code.fb.com/codeofconduct/

### [Contributing Guide][contribute]
Read our [**Contributing Guide**][contribute] to learn about our development process, how to propose bugfixes and improvements, and how to build and test your changes to PlayTorch.

[contribute]: CONTRIBUTING.md

## License
PlayTorch is MIT licensed, as found in the [LICENSE][license] file.

[license]: LICENSE
